### Method

# Secret Service get_secret_for_dbus_path_sync

#### Declaration [src]

    SecretValue*
    secret_service_get_secret_for_dbus_path_sync (
      SecretService* self,
      const gchar* item_path,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get the secret value for a secret item stored in the service.

The item is represented by its D-Bus object path. If you already have a `SecretItem` proxy object, use use `secret_item_load_secret_sync()` to more simply get its secret value.

This method may block indefinitely and should not be used in user interface threads.

Will return `NULL` if the item is locked.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`item_path` | `const gchar*`
| The D-Bus path to item to retrieve secret for.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `SecretValue`
| The newly allocated secret value the item, which should be released with `secret_value_unref()`
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.